Bug 1200333 - Drop down lists in Dashboard page are garbled in Japanese locale
Summary: Drop down lists in Dashboard page are garbled in Japanese locale
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: BAM
Version: 6.1.0
Hardware: All
OS: All
high
medium
Target Milestone: ER4
: 6.2.0
Assignee: Roger Martínez
QA Contact: Gui Jospin
URL:
Whiteboard:
: 1270829 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-10 10:25 UTC by kkomazaw
Modified: 2020-03-27 20:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 20:07:20 UTC
Type: Bug


Attachments (Terms of Use)
Process and Task Dashboard (159.32 KB, image/png)
2015-03-10 10:25 UTC, kkomazaw
no flags Details
some chars are fixed after drilldown (416.51 KB, image/png)
2015-10-16 05:42 UTC, Jan Hrcek
no flags Details

Description kkomazaw 2015-03-10 10:25:18 UTC
Created attachment 999797 [details]
Process and Task Dashboard

Description of problem:
Drop down lists (left pane) in Dashboard page are garbled in Japanese locale.
Please see the attached screenshot.

Version-Release number of selected component (if applicable):
6.1.0 ER6

How reproducible:
Go to Dashboard page (both Process/Task dashboard and Business dashboard)

Actual results:


Expected results:


Additional info:

Comment 2 Roger Martínez 2015-09-24 00:02:42 UTC
The error does not affects only to japanese language, affects other languages as spanish or german. Some characters are not read with the encoding that the Resource Bundle from Java class expects, and the unexpected character issue appears everywhere...

These are the commits for the fix.

Dashboard-builder master -> https://github.com/droolsjbpm/dashboard-builder/commit/664af6dd357b9ac9a8bdcb172b550c1c0643d914

Dashboard-builder 6.3.x -> https://github.com/droolsjbpm/dashboard-builder/commit/72e2224069d52214a1c200858aa7627b25906bd4

jBPM Dashboard master -> https://github.com/droolsjbpm/jbpm-dashboard/commit/69ae4edb8c575cc7c274106f944a178c48798aa5

jBPM Dashboard 6.3.x -> https://github.com/droolsjbpm/jbpm-dashboard/commit/c0f6a64e2322f5d06a610e06600114d6b6b3c9e4

Comment 3 Roger Martínez 2015-09-24 00:13:04 UTC
If changing the language to another different than the default in kie-wb, the charts from contributors perspective were failing too.

Commit into dashbuilder master -> https://github.com/dashbuilder/dashbuilder/commit/97df0770f70bf48c387a590d9efdeacf40e8699d

Commit into dashbuilder 0.3.x -> https://github.com/dashbuilder/dashbuilder/commit/d7e21ed5edca746984e7b06c7395b9641ad14163

Comment 4 Roger Martínez 2015-10-13 17:50:21 UTC
*** Bug 1270829 has been marked as a duplicate of this bug. ***

Comment 5 Jan Hrcek 2015-10-15 09:21:22 UTC
Manually verified with BPM Suite 6.2.0 ER4 that both places (in jBPM Dashboard  & in contributors perspective) correctly display non ASCII characters for all languages.

No automated tests will be created as selenium testing of localized UI would be unfeasible.

Comment 8 Jan Hrcek 2015-10-16 05:42:06 UTC
Created attachment 1083511 [details]
some chars are fixed after drilldown


Note You need to log in before you can comment on or make changes to this bug.